#!/bin/bash

if [ "$EUID" -ne 0 ]
   then echo "Please run as root"
   exit
fi

SCRIPTPATH="$( cd "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )"

if getent passwd node_exporter > /dev/null 2>&1; then
   echo "User already exists!"
else
   adduser --system --no-create-home --group --shell=/bin/false node_exporter
fi

if service --status-all | grep -Fq 'node_exporter'; then    
   service node_exporter stop    
fi

echo "Copying exporter"

mkdir -p /usr/prometheus

echo "Checking/Creating systemd configuration"

cp $SCRIPTPATH/node_exporter /usr/prometheus/node_exporter
chmod +x /usr/prometheus/node_exporter

cp $SCRIPTPATH/node_exporter.service /etc/systemd/system/

[ ! -d /etc/sysconfig ] && mkdir /etc/sysconfig

if [ -f "/etc/sysconfig/node_exporter" ]; then
   echo "/etc/sysconfig/node_exporter already there. Skipping."
else 
   cp $SCRIPTPATH/node_exporter.sysconfig /etc/sysconfig/node_exporter
fi

echo "Starting Exporter"

systemctl enable node_exporter.service
service node_exporter start